Package io.vertx.ext.web.sstore

## Interface LocalSessionStore

- All Superinterfaces:
    `SessionStore`

      public interface LocalSessionStore
      extends SessionStore

  A session store which is only available on a single node.

  Can be used when sticky sessions are being used.

  Author:
    Tim Fox, Paulo Lopes

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `DEFAULT_REAPER_INTERVAL` | Default of how often, in ms, to check for expired sessions
    `static String` | `DEFAULT_SESSION_MAP_NAME` | Default name for map used to store sessions

    - ### Fields inherited from interface io.vertx.ext.web.sstore.SessionStore

      `DEFAULT_SESSIONID_LENGTH`

  - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LocalSessionStore` | `create​(Vertx vertx)` | Create a session store
    `static LocalSessionStore` | `create​(Vertx vertx, String sessionMapName)` | Create a session store
    `static LocalSessionStore` | `create​(Vertx vertx, String sessionMapName, long reaperInterval)` | Create a session store

    - ### Methods inherited from interface io.vertx.ext.web.sstore.SessionStore

      `clear, close, createSession, createSession, delete, get, init, put, retryTimeout, size`

- - ### Field Detail

    - #### DEFAULT_REAPER_INTERVAL

          static final long DEFAULT_REAPER_INTERVAL

      Default of how often, in ms, to check for expired sessions
      See Also:
        Constant Field Values

    - #### DEFAULT_SESSION_MAP_NAME

          static final String DEFAULT_SESSION_MAP_NAME

      Default name for map used to store sessions
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static LocalSessionStore create​(Vertx vertx)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the session store

    - #### create

          static LocalSessionStore create​(Vertx vertx,
                                          String sessionMapName)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - name for map used to store sessions
      Returns:
        the session store

    - #### create

          static LocalSessionStore create​(Vertx vertx,
                                          String sessionMapName,
                                          long reaperInterval)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - name for map used to store sessions
        `reaperInterval` - how often, in ms, to check for expired sessions
      Returns:
        the session store